cpeutils_tests.c File Reference
`#include "cpeutils.c"`
`#include <cgreen/cgreen.h>`
`#include <cgreen/mocks.h>`

## Functions

| Describe (cpeutils)
| BeforeEach (cpeutils)
| AfterEach (cpeutils)
| Ensure (cpeutils, uri_cpe_to_cpe_struct)
| Ensure (cpeutils, fs_cpe_to_cpe_struct)
| Ensure (cpeutils, cpe_struct_to_uri_cpe)
| Ensure (cpeutils, cpe_struct_to_fs_cpe)
| Ensure (cpeutils, uri_cpe_to_fs_cpe)
| Ensure (cpeutils, fs_cpe_to_uri_cpe)
| Ensure (cpeutils, cpe_struct_match)
| Ensure (cpeutils, uri_cpe_to_uri_product)
int | main (int argc, char **argv)

## Function Documentation

## AfterEach()

AfterEach | ( | cpeutils |  | ) |

## BeforeEach()

BeforeEach | ( | cpeutils |  | ) |

## Describe()

Describe | ( | cpeutils |  | ) |

## Ensure() [1/8]

Ensure | ( | cpeutils | ,
|  | cpe_struct_match | )

## Ensure() [2/8]

Ensure | ( | cpeutils | ,
|  | cpe_struct_to_fs_cpe | )

## Ensure() [3/8]

Ensure | ( | cpeutils | ,
|  | cpe_struct_to_uri_cpe | )

## Ensure() [4/8]

Ensure | ( | cpeutils | ,
|  | fs_cpe_to_cpe_struct | )

## Ensure() [5/8]

Ensure | ( | cpeutils | ,
|  | fs_cpe_to_uri_cpe | )

## Ensure() [6/8]

Ensure | ( | cpeutils | ,
|  | uri_cpe_to_cpe_struct | )

## Ensure() [7/8]

Ensure | ( | cpeutils | ,
|  | uri_cpe_to_fs_cpe | )

## Ensure() [8/8]

Ensure | ( | cpeutils | ,
|  | uri_cpe_to_uri_product | )

## main()

int main | ( | int | argc,
|  | char ** | argv )